=== debian/control ===
Source: cg3
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake (>= 2.8.9),
               debhelper (>= 9.0),
               libboost-dev (>= 1.48),
               libicu-dev (>= 4.8)
Standards-Version: 3.9.6
Homepage: http://visl.sdu.dk/cg3.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/cg3.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cg3.git

Package: cg3
Architecture: any
Depends: libcg3-0 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Provides: vislcg3
Conflicts: vislcg3
Replaces: vislcg3
Description: Tools for using the 3rd edition of Constraint Grammar (CG-3)
 Constraint Grammar compiler and applicator for the 3rd edition of CG
 that is developed and maintained by VISL SDU and GrammarSoft ApS.
 .
 CG-3 can be used for disambiguation of morphology, syntax, semantics, etc;
 dependency markup, target language lemma choice for MT, QA systems, and
 much more. The core idea is that you choose what to do based on the whole
 available context, as opposed to n-grams.
 .
 See http://visl.sdu.dk/cg3.html for more documentation

Package: libcg3-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libcg3
Conflicts: libcg3
Replaces: libcg3
Description: Runtime for CG-3
 Runtime library for applications using the CG-3 API.
 .
 It is recommended to instrument the CLI tools instead of using this API.
 .
 See http://visl.sdu.dk/cg3.html for more documentation

Package: libcg3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libcg3-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Headers and static library to develop using the CG-3 library
 Development files to use the CG-3 API.
 .
 It is recommended to instrument the CLI tools instead of using this API.
 .
 See http://visl.sdu.dk/cg3.html for more documentation
