## cg3 0.9.9~r10793

=== debian/changelog ===
cg3 (0.9.9~r10793-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:39:27 +0100

cg3 (0.9.9~r10793-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 07:53:07 +0000

cg3 (0.9.9~r10793-1) unstable; urgency=low

  * Updated to latest from svn.

 -- Tino Didriksen <mail@tinodidriksen.com>  Sun, 21 Jun 2015 18:59:50 +0200
