=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cg3
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake (>= 2.8.9),
@@ -15,7 +16,7 @@
 
 Package: cg3
 Architecture: any
-Depends: libcg3-0 (= ${binary:Version}),
+Depends: libcg3-0v5 (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -33,7 +34,7 @@
  .
  See http://visl.sdu.dk/cg3.html for more documentation
 
-Package: libcg3-0
+Package: libcg3-0v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +54,7 @@
 Multi-Arch: same
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcg3-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libcg3-0v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Headers and static library to develop using the CG-3 library
  Development files to use the CG-3 API.
  .
