=== debian/watch ===
version=3
http://visl.sdu.dk/download/vislcg3/cg3-(.+)\.tar\.bz2
