=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	message(STATUS "Found ICU version ${ICU_VERSION}")
 endif()
 
-if(NOT CMAKE_BUILD_TYPE STREQUAL Debug AND OPT_TCMALLOC)
+if(NOT CMAKE_BUILD_TYPE STREQUAL Debug AND USE_TCMALLOC)
 	find_library(GOOGLE_TCMALLOC_LIB tcmalloc)
 	if(GOOGLE_TCMALLOC_LIB)
 		message(STATUS "Found tcmalloc: ${GOOGLE_TCMALLOC_LIB}")
@@ -54,6 +54,7 @@
 endmacro()
 
 set(LIBCG3_HEADERS
+	AST.hpp
 	BinaryGrammar.hpp
 	Cohort.hpp
 	CohortIterator.hpp
@@ -61,6 +62,8 @@
 	Grammar.hpp
 	GrammarApplicator.hpp
 	GrammarWriter.hpp
+	Relabeller.hpp
+	MweSplitApplicator.hpp
 	IGrammarParser.hpp
 	Reading.hpp
 	Rule.hpp
@@ -78,9 +81,9 @@
 	inlines.hpp
 	interval_vector.hpp
 	istream.hpp
-	macros.hpp
 	parser_helpers.hpp
 	process.hpp
+	scoped_stack.hpp
 	sorted_vector.hpp
 	stdafx.hpp
 	uextras.hpp
@@ -102,6 +105,8 @@
 	GrammarApplicator_runGrammar.cpp
 	GrammarApplicator_runRules.cpp
 	GrammarWriter.cpp
+	Relabeller.cpp
+	MweSplitApplicator.cpp
 	Reading.cpp
 	Rule.cpp
 	Set.cpp
@@ -150,14 +155,22 @@
 	cg_proc.cpp
 	ApertiumApplicator.cpp
 	ApertiumApplicator.hpp
+	MatxinApplicator.cpp
+	MatxinApplicator.hpp
 	)
 cg3_link(cg-proc)
 target_link_libraries(cg-proc ${LINKLIB})
+
+add_executable(cg-relabel cg-relabel.cpp)
+cg3_link(cg-relabel)
+target_link_libraries(cg-relabel ${LINKLIB})
 
 add_executable(cg-conv
 	cg_conv.cpp
 	ApertiumApplicator.cpp
 	ApertiumApplicator.hpp
+	MatxinApplicator.cpp
+	MatxinApplicator.hpp
 	FormatConverter.cpp
 	FormatConverter.hpp
 	FSTApplicator.cpp
@@ -171,6 +184,10 @@
 cg3_link(cg-conv)
 target_link_libraries(cg-conv ${LINKLIB})
 
+add_executable(cg-mwesplit cg-mwesplit.cpp MweSplitApplicator.cpp MweSplitApplicator.hpp)
+cg3_link(cg-mwesplit)
+target_link_libraries(cg-mwesplit ${LINKLIB})
+
 add_executable(vislcg3 main.cpp options.hpp)
 cg3_link(vislcg3)
 target_link_libraries(vislcg3 ${LINKLIB})
@@ -179,7 +196,7 @@
 target_link_libraries(test_libcg3 ${LINKLIB})
 
 if(APPLE)
-	foreach(t cg-conv cg-comp cg-proc vislcg3)
+	foreach(t cg-conv cg-comp cg-proc cg-relabel cg-mwesplit vislcg3)
 		set("_file_${t}" $<TARGET_FILE:${t}>)
 		add_custom_command(
 			TARGET ${t}
@@ -194,11 +211,14 @@
 	endforeach()
 endif()
 
-add_test(t_libcg3 test_libcg3 "${CMAKE_CURRENT_SOURCE_DIR}/../test/T_BasicSelect/grammar.cg3")
-
-install(TARGETS libcg3 ARCHIVE DESTINATION "${CG_LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}")
+add_test(t_libcg3 test_libcg3 "${CMAKE_CURRENT_SOURCE_DIR}/../test/T_Select/grammar.cg3")
+
+if(INSTALL_STATIC)
+	install(TARGETS libcg3 ARCHIVE DESTINATION "${CG_LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}")
+endif()
+
 if(NOT MSVC)
 	install(TARGETS libcg3-shared ARCHIVE DESTINATION "${CG_LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}" LIBRARY DESTINATION "${CG_LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}" RUNTIME DESTINATION bin)
 	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/cg3.h" DESTINATION include)
 endif()
-install(TARGETS cg-comp cg-proc cg-conv vislcg3 RUNTIME DESTINATION bin)
+install(TARGETS cg-comp cg-proc cg-relabel cg-mwesplit cg-conv vislcg3 RUNTIME DESTINATION bin)
