=== debian/changelog ===
cg3 (0.9.9~r11624-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Updated to latest upstream from svn:
    + Fixes assert failure and segfault.
  * Disabled static libraries.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.8

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jun 2016 09:02:35 +0530
