=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: cg3
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake (>= 2.8.9),
                debhelper (>= 9.0),
-               libboost-dev (>= 1.48),
+               libboost-dev (>= 1.49.0),
                libicu-dev (>= 4.8)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://visl.sdu.dk/cg3.html
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/cg3.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/cg3.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cg3.git
 
 Package: cg3
 Architecture: any
-Depends: libcg3-0v5 (= ${binary:Version}),
+Depends: libcg3-0 (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -34,7 +33,7 @@
  .
  See http://visl.sdu.dk/cg3.html for more documentation
 
-Package: libcg3-0v5
+Package: libcg3-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,8 +53,8 @@
 Multi-Arch: same
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcg3-0v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: Headers and static library to develop using the CG-3 library
+Depends: libcg3-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Headers and shared files to develop using the CG-3 library
  Development files to use the CG-3 API.
  .
  It is recommended to instrument the CLI tools instead of using this API.
