=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 
 
 %:
-	dh $@ --parallel
+	dh $@ --fail-missing --parallel
