=== debian/watch ===
version=3
http://visl.sdu.dk/download/cg3/cg3-(.+)\.tar\.bz2
