=== src/CMakeLists.txt ===
--- 
+++ 
@@ -129,14 +129,16 @@
 
 add_library(libcg3-objs OBJECT ${LIBCG3_SOURCES})
 
-add_library(libcg3 STATIC libcg3.cpp $<TARGET_OBJECTS:libcg3-objs>)
-set_target_properties(libcg3 PROPERTIES OUTPUT_NAME "cg3")
-set_target_properties(libcg3 PROPERTIES PREFIX "lib")
-if(MSVC AND NOT CMAKE_BUILD_TYPE STREQUAL Debug)
-	set_target_properties(libcg3 PROPERTIES STATIC_LIBRARY_FLAGS "/LTCG")
-endif()
-cg3_link(libcg3)
-set(LINKLIB libcg3)
+if(MSVC OR INSTALL_STATIC)
+	add_library(libcg3 STATIC libcg3.cpp $<TARGET_OBJECTS:libcg3-objs>)
+	set_target_properties(libcg3 PROPERTIES OUTPUT_NAME "cg3")
+	set_target_properties(libcg3 PROPERTIES PREFIX "lib")
+	if(MSVC AND NOT CMAKE_BUILD_TYPE STREQUAL Debug)
+		set_target_properties(libcg3 PROPERTIES STATIC_LIBRARY_FLAGS "/LTCG")
+	endif()
+	cg3_link(libcg3)
+	set(LINKLIB libcg3)
+endif()
 
 if(NOT MSVC)
 	add_library(libcg3-shared SHARED libcg3.cpp $<TARGET_OBJECTS:libcg3-objs>)
