=== debian/changelog ===
cg3 (1.0.0~r12254-1ubuntu3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:52:27 +0000

cg3 (1.0.0~r12254-1ubuntu2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:39:41 +0000

cg3 (1.0.0~r12254-1ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1704258). Remaining changes:
    - Revert the rename of the library packages for the g++5 ABI transition,
      and add Conflicts/Replaces/Provides against the renamed packages. This
      delta can be dropped after Ubuntu 18.04 LTS is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 13 Jul 2017 21:25:18 -0500

cg3 (1.0.0~r12254-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Updated to latest upstream release.
  * debian/control:
    + Updated dependencies due to library name change.
    + Updated Homepage.
    + Suggests: libdigest-sha-perl
  * Updated debian/copyright.
  * Updated debian/watch.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.0.0

 -- Kartik Mistry <kartik@debian.org>  Mon, 26 Jun 2017 20:59:00 +0530

cg3 (0.9.9~r11624-1ubuntu1) yakkety; urgency=medium

  * Sync from Debian unstable.
  * Revert the rename of the library packages for the g++5 ABI transition,
    and add conflicts/replaces/provides against the renamed packages. This
    delta can be dropped after the next LTS release (LP: #1512331).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 21 Jun 2016 01:07:20 -0400
