=== debian/changelog ===
cg3 (1.1.7-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * Removed 00-wrong-path-for-interpreter.diff patch. Merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Fri, 12 Oct 2018 19:23:29 +0530

cg3 (1.0.0~r12254-2) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Standards-Version to 4.2.1.0
    + Use 'libs' section for libcg3-1
  * debian/rules:
    + Removed --parallel argument.
    + Added hardening support.
  * Bumped dh to 11.
  * Updated debian/copyright.
  * Use triggers instead of postinst.
  * Added debian/libcg3-1.lintian-overrides - not a duplicate trigger.
  * Added patch to fix wrong path for interpreter.

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Aug 2018 13:41:04 +0530
