=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cg3
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake (>= 2.8.9),
-               debhelper (>= 9.0),
-               libboost-dev (>= 1.49.0),
-               libicu-dev (>= 4.8)
-Standards-Version: 4.0.0
+               debhelper (>= 11),
+               libboost-dev (>= 1.53.0),
+               libicu-dev (>= 50.0)
+Standards-Version: 4.2.1
 Homepage: https://visl.sdu.dk/cg3.html
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/cg3.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cg3.git
+Vcs-Git: https://salsa.debian.org/science-team/cg3.git
+Vcs-Browser: https://salsa.debian.org/science-team/cg3
 
 Package: cg3
 Architecture: any
@@ -36,13 +35,14 @@
  See https://visl.sdu.dk/cg3.html for more documentation
 
 Package: libcg3-1
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: libcg3, libcg3-0v5
-Conflicts: libcg3, libcg3-0v5
-Replaces: libcg3, libcg3-0v5
+Provides: libcg3
+Conflicts: libcg3
+Replaces: libcg3
 Description: Runtime for CG-3
  Runtime library for applications using the CG-3 API.
  .
